Subject: Re: Gerrit, GitButler, and Jujutsu projects collaborating on change-id commit footer

From: "Remo Senekowitsch" <[email-masked]>
Date: Thu, 03 Apr 2025 18:25:53 +0200

On Thu Apr 3, 2025 at 5:56 PM CEST, Elijah Newren wrote:
> On Thu, Apr 3, 2025 at 2:13 AM Patrick Steinhardt <[email-masked]> wrote:
>>
>>   - Extending revisions to allow specifying commits by change ID.
>
> Would this essentially be similar to <rev>^{/<text>} except searching
> specifically change-id headers rather than commit message?

One benefit of using the "reverse-hex" format (hex with a different
alphabet: z(0) through k(25)) we're proposing is that it allows a
change-id or its prefix to be used in the same place as a commit hash,
without ambiguity.

Remo